%global appid 'io.github.julianrichen.boilerplate'

Name:           boilerplate-for-c-and-gtk3
Version:        0.1.0
Release:        1%{?dist}
Summary:        A boilerplate for quick GTK3 development in C

License:        GPLv3+
URL:            https://github.com/julianrichen/boilerplate-for-c-gtk3
Source0:        %{url}/archive/%{version}.tar.gz

BuildRequires:  meson >= 0.36.0
BuildRequires:  pkgconfig
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(gtk+-3.0) >= 3.20.0
BuildRequires:  pkgconfig(libpeas-gtk-1.0)
BuildRequires:  gettext
BuildRequires:  desktop-file-utils
BuildRequires:  update-desktop-files
BuildRequires:  gtk-update-icon-cache
BuildRequires:  glib-compile-schemas
BuildRequires:  hicolor-icon-theme

%description
A boilerplate for quick GTK3 development in C.

%package devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%prep
%setup -q

%build
%meson
%meson_build

%install
%meson_install

%check
%meson_check
appstream-util validate-relax --noset $RPM_BUILD_ROOT%{_datadir}/%{appid}.appdata.xml
desktop-file-validate  $RPM_BUILD_ROOT%{_datadir}/%{appid}.desktop

%post

%postun
if [ $1 -eq 0 ]; then
    glib-compile-schemas %{_datadir}/glib-2.0/schemas >&/dev/null || :
fi

%posttrans
glib-compile-schemas %{_datadir}/glib-2.0/schemas >&/dev/null || :

%files -f %{name}.lang
%license LICENSE
%dir %{_libdir}/%{name}/plugins
%{_bindir}/%{name}
%{_libdir}/%{name}.so*
%{_libdir}/%{name}/plugins/*

%{_datadir}/appdata/%{appid}.appdata.xml
%{_datadir}/applications/%{appid}.desktop
%{_datadir}/glib-2.0/schemas/%{appid}.gschema.xml
%{_datadir}/help/*/%{name}/*
%{_datadir}/icons/hicolor/*/apps/%{appid}.png
%{_datadir}/icons/hicolor/scalable/apps/%{appid}.svg
%{_datadir}/icons/hicolor/symbolic/apps/%{appid}-symbolic.svg

%{_mandir}/man1/%{name}.1*

%files devel
%dir %{_includedir}/%{name}
%dir %{_datadir}/gtk-doc/
%dir %{_datadir}/gtk-doc/html/
%doc %{_datadir}/gtk-doc/html/%{name}/
%{_includedir}/%{name}/*
%{_libdir}/pkgconfig/*
%{_libdir}/*.so

%changelog
* Sun Jul 2 2017 Julian Richen <julian@richen.io>
- Initial package
